PUT restapi/personal/learningrecordstore/partners/{partnerId}/v1

Request Information

URI Parameters

NameDescriptionTypeAdditional information
partnerId

integer

Required

Body Parameters

Itslearning.RestApi.Entities.LearningRecordStore.PartnerModel
NameDescriptionTypeAdditional information
LearningRecordStorePartnerId

Gets or sets the LRS Partner ID.

integer

None.

Name

Gets or sets the name of the partner.

string

None.

ContactPerson

Gets or sets the contact person name.

string

None.

ContactEmail

Gets or sets the contact person email.

string

None.

ContactPhoneNumber

Gets or sets the contact phone number.

string

None.

Notes

Gets or sets notes about the partner.

string

None.

ClientKey

The client key for the partner.

string

None.

Created

Date the partner was created. Local time string

date

None.

CreatedString

Date the partner was created. Local time string

string

None.

Request Formats

application/json, text/json

Sample:
{
  "learningRecordStorePartnerId": 1,
  "name": "sample string 2",
  "contactPerson": "sample string 3",
  "contactEmail": "sample string 4",
  "contactPhoneNumber": "sample string 5",
  "notes": "sample string 6",
  "clientKey": "sample string 7",
  "created": "2026-05-13T09:26:05Z",
  "createdString": "sample string 9"
}

application/xml, text/xml

Sample:
<PartnerModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
  <ClientKey>sample string 7</ClientKey>
  <ContactEmail>sample string 4</ContactEmail>
  <ContactPerson>sample string 3</ContactPerson>
  <ContactPhoneNumber>sample string 5</ContactPhoneNumber>
  <Created>2026-05-13T09:26:05Z</Created>
  <CreatedString>sample string 9</CreatedString>
  <LearningRecordStorePartnerId>1</LearningRecordStorePartnerId>
  <Name>sample string 2</Name>
  <Notes>sample string 6</Notes>
</PartnerModel>

application/x-www-form-urlencoded

Sample:
No sample available

Response Information

Resource Description

Itslearning.RestApi.Entities.LearningRecordStore.PartnerModel
NameDescriptionTypeAdditional information
LearningRecordStorePartnerId

Gets or sets the LRS Partner ID.

integer

None.

Name

Gets or sets the name of the partner.

string

None.

ContactPerson

Gets or sets the contact person name.

string

None.

ContactEmail

Gets or sets the contact person email.

string

None.

ContactPhoneNumber

Gets or sets the contact phone number.

string

None.

Notes

Gets or sets notes about the partner.

string

None.

ClientKey

The client key for the partner.

string

None.

Created

Date the partner was created. Local time string

date

None.

CreatedString

Date the partner was created. Local time string

string

None.

Response Formats

application/json, text/json

Sample:
{
  "learningRecordStorePartnerId": 1,
  "name": "sample string 2",
  "contactPerson": "sample string 3",
  "contactEmail": "sample string 4",
  "contactPhoneNumber": "sample string 5",
  "notes": "sample string 6",
  "clientKey": "sample string 7",
  "created": "2026-05-13T09:26:05Z",
  "createdString": "sample string 9"
}

application/xml, text/xml

Sample:
<PartnerModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
  <ClientKey>sample string 7</ClientKey>
  <ContactEmail>sample string 4</ContactEmail>
  <ContactPerson>sample string 3</ContactPerson>
  <ContactPhoneNumber>sample string 5</ContactPhoneNumber>
  <Created>2026-05-13T09:26:05Z</Created>
  <CreatedString>sample string 9</CreatedString>
  <LearningRecordStorePartnerId>1</LearningRecordStorePartnerId>
  <Name>sample string 2</Name>
  <Notes>sample string 6</Notes>
</PartnerModel>